| Version: 3.0.4

Public Member Functions | Static Public Member Functions | List of all members
wxDateTime::TimeZone Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/datetime.h>`

## Detailed Description

Class representing a time zone.

The representation is simply the offset, in seconds, from UTC.

## Public Member Functions
| TimeZone (TZ tz)
| Constructor for a named time zone. More...
| TimeZone (long offset=0)
| Constructor for the given offset in seconds. More...
long | GetOffset () const
| Return the offset of this time zone from UTC, in seconds. More...

## Static Public Member Functions
static TimeZone | Make (long offset)
| Create a time zone with the given offset in seconds. More...

## Constructor & Destructor Documentation

## ◆ TimeZone() [1/2]

wxDateTime::TimeZone::TimeZone | ( | TZ | tz | ) |

Constructor for a named time zone.

## ◆ TimeZone() [2/2]

wxDateTime::TimeZone::TimeZone | ( | long | offset = `0` | ) |

Constructor for the given offset in seconds.

## Member Function Documentation

## ◆ GetOffset()

long wxDateTime::TimeZone::GetOffset | ( |  | ) | const

Return the offset of this time zone from UTC, in seconds.

## ◆ Make()

static TimeZone wxDateTime::TimeZone::Make | ( | long | offset | ) |
| static

Create a time zone with the given offset in seconds.